﻿using ManualComplex.Drinks;
using ManualComplex.Editors;
using ManualComplex.Snacks;

namespace ManualComplex
{
    internal class Program
    {
        private static void Main()
        {
            ICaffeinated drink = new MountainDew();
            IEdible food = new Cheetos();
            ISugary sweet = new Cookies();
            IEditor editor = new VisualStudio();

            var programmer = new Programmer(drink, food, sweet, editor);
            programmer.WriteCode();

        }
    }
}