﻿using Ninject.Conditions;
using Ninject.Core;
using Ninject.Core.Behavior;
using NinjectCreationBehaviors.Drinks;

namespace NinjectCreationBehaviors.NinjectConfig
{
    internal class CustomModule : StandardModule
    {
        public override void Load()
        {
            //Bind<ICaffeinated>().To<MountainDew>().Always();            
            //Bind<ICaffeinated>().To<MountainDew>().Always().Using<SingletonBehavior>();
            Bind<ICaffeinated>().To<MountainDew>().Always().Using<OnePerThreadBehavior>();

            Bind<ICaffeinated2>().To<MountainDew>().Always().Using<SingletonBehavior>();
        }
    }
}