﻿using System;

namespace NinjectFactoryConstruction.Drinks
{
    public class MountainDew : ICaffeinated, ISugary
    {
        public MountainDew(){}

        public static MountainDew GetMountainDew()
        {
            return new MountainDew();
        }
        
        #region ICaffeinated Members

        public string Drink()
        {
            return ("Chug chug. Mmmmm, Mountain Dew.");
        }

        #endregion

        #region ISugary Members

        public string GetSugar()
        {
            return ("Mmmmm, sugary Mountain Dew.");
        }

        #endregion
    }
}