﻿using Ninject.Core;
using NinjectFactoryConstruction.NinjectConfig;

namespace NinjectFactoryConstruction
{
    public class MicrosoftProgrammer: Programmer
    {
        public MicrosoftProgrammer(ICaffeinated drink, IEdible food, ISugary sweets, IEditor editor)
            : base(drink, food, sweets, editor)
        {
        }

        public static MicrosoftProgrammer GetMicrosoftProgrammer()
        {
            IKernel kernel = NinjectFactory.GetNinjectKernel();
            return kernel.Get<MicrosoftProgrammer>();            
        }
    }
}