﻿using Ninject.Conditions;
using Ninject.Core;
using NinjectFieldInjection.Drinks;
using NinjectFieldInjection.Editors;
using NinjectFieldInjection.Snacks;

namespace NinjectFieldInjection.NinjectConfig
{
    internal class CustomModule : StandardModule
    {
        public override void Load()
        {
            Bind<ICaffeinated>().To<MountainDew>().Always();
            Bind<IEdible>().To<Cheetos>().Always();            
            Bind<ISugary>().To<Cookies>().Always();
            Bind<IEditor>().To<Vi>().Always();                           
        }
    }
}