﻿using Ninject.Core;

namespace NinjectFieldInjection.NinjectConfig
{
    public class NinjectFactory
    {
        public static IKernel GetNinjectKernel()
        {
            IModule module = new CustomModule();
            var options = new KernelOptions();
            options.InjectNonPublicMembers = true;
            return new StandardKernel(options, module);
        }
    }
}