﻿using System;
using Ninject.Core;

namespace NinjectFieldInjection
{
    public class Programmer
    {
        [Inject]
        private ICaffeinated drink;
        [Inject]
        private IEdible food;
        [Inject]
        private ISugary sweets;
        [Inject]
        private IEditor editor;                       

        public Programmer()
        {
        }

        public ICaffeinated Drink
        {
            get { return drink; }
            set { drink = value; }
        }

        public IEdible Food
        {
            get { return food; }
            set { food = value; }
        }

        public ISugary Sweets
        {
            get { return sweets; }
            set { sweets = value; }
        }

        public IEditor Editor
        {
            get { return editor; }
            set { editor = value; }
        }        

        public void WriteCode()
        {
            Console.WriteLine(drink.Drink());
            Console.WriteLine(food.Eat());
            Console.WriteLine(sweets.GetSugar());
            Console.WriteLine(editor.Program());
        }
    }
}