﻿using System;
using Ninject.Core;
using NinjectPropertyInjection.NinjectConfig;

namespace NinjectPropertyInjection
{
    internal class Program
    {
        private static void Main()
        {
            
            IKernel kernel = NinjectFactory.GetNinjectKernel();

            Console.WriteLine("Programmer:");
            var programmer = kernel.Get<Programmer>();
            programmer.WriteCode();

            Console.WriteLine();
            
            Console.WriteLine("Microsoft Programmer:");
            var msProgrammer = kernel.Get<MicrosoftProgrammer>();
            msProgrammer.WriteCode();
        }
    }
}