﻿using System;

namespace SpringFactoryConstruction.Drinks
{
    public class Coffee : ICaffeinated
    {
        
        private Coffee(){}

        public static Coffee GetCoffee()
        {
            return new Coffee();
        }

        #region ICaffeinated Members

        public string Drink()
        {
            return ("Sip sip. Mmmm, coffee.");
        }

        #endregion
    }
}