﻿using System;
using Spring.Context;
using Spring.Context.Support;

namespace SpringPropertyInjection
{
    internal class Program
    {
        private static void Main()
        {            
            IApplicationContext context = ContextRegistry.GetContext();
            
            Console.WriteLine("Programmer:");
            var programmer = (Programmer)context.GetObject("Programmer");
            programmer.WriteCode();

            Console.WriteLine();
            
            Console.WriteLine("Microsoft Programmer:");
            var msProgrammer = (MicrosoftProgrammer)context.GetObject("MicrosoftProgrammer");
            msProgrammer.WriteCode();
        }
    }
}