﻿using System;
using ManualComplex;

namespace ManualComplex
{
    public class Programmer
    {
        private readonly ICaffeinated drink;
        private readonly IEdible food;
        private readonly ISugary sweets;
        private readonly IEditor editor;

        public Programmer(ICaffeinated drink, IEdible food, ISugary sweets, IEditor editor)
        {
            this.drink = drink;
            this.food = food;
            this.sweets = sweets;
            this.editor = editor;
        }

        public void WriteCode()
        {
            Console.WriteLine(drink.Drink());
            Console.WriteLine(food.Eat());
            Console.WriteLine(sweets.GetSugar());
            Console.WriteLine(editor.Program());
        }
    }
}