﻿using System;
using Ninject.Core;
using NinjectComplex.NinjectConfig;

namespace NinjectComplex
{
    internal class Program
    {
        private static void Main()
        {
            Console.WriteLine("Programmer:");
            IKernel kernel = NinjectFactory.GetNinjectKernel();
            var programmer = kernel.Get<Programmer>();
            programmer.WriteCode();

            Console.WriteLine();
            Console.WriteLine("Microsoft Programmer:");
            var msProgrammer = kernel.Get<MicrosoftProgrammer>();
            msProgrammer.WriteCode();
        }
    }
}