﻿using System;

namespace NinjectFactoryConstruction.Drinks
{
    public class DietCoke : ICaffeinated
    {
        private DietCoke(){}

        public static DietCoke GetDietCoke()
        {
            return new DietCoke();
        }
        
        #region ICaffeinated Members

        public string Drink()
        {
            return ("Chug chug. Diet Coke.");
        }

        #endregion
    }
}