﻿using System;

namespace NinjectFactoryConstruction.Editors
{
    public class VisualStudio : IEditor
    {
        private VisualStudio(){}

        public static VisualStudio GetVisualStudio()
        {
            return new VisualStudio();
        }

        #region IEditor Members

        public string Program()
        {
            return ("Writing code in Visual Studio. What is a text editor?");
        }

        #endregion
    }
}