﻿using System;

namespace NinjectFactoryConstruction.Snacks
{
    internal class Cookies : IEdible, ISugary
    {
        private Cookies(){}

        public static Cookies GetCookies()
        {
            return new Cookies();
        }        
        
        #region IEdible Members

        public string Eat()
        {
            return ("Mmmmm, cookies.");
        }

        #endregion

        #region ISugary Members

        public string GetSugar()
        {
            return ("Whoa, cookie sugar high.");
        }

        #endregion
    }
}