﻿using Ninject.Conditions;
using Ninject.Core;
using Ninject.Core.Behavior;
using NinjectGenerics.Drinks;

namespace NinjectGenerics.NinjectConfig
{
    internal class CustomModule : StandardModule
    {
        public override void Load()
        {
            Bind<ICaffeinated<int>>().To<MountainDew<int>>().Always();            
        }
    }
}