﻿using Ninject.Core;

namespace NinjectGenerics.NinjectConfig
{
    public class NinjectFactory
    {
        public static IKernel _kernel = null;
        public static IKernel GetNinjectKernel()
        {
            if (_kernel == null)
            {
                IModule module = new CustomModule();                
                _kernel = new StandardKernel(module);
            }
            return _kernel;            
        }
    }
}