﻿using System;
using Ninject.Core;
using NinjectGenerics.NinjectConfig;

namespace NinjectGenerics
{
    internal class Program
    {
        private static void Main()
        {
            IKernel kernel = NinjectFactory.GetNinjectKernel();

            var drink1 = kernel.Get<ICaffeinated<int>>();
            Console.WriteLine(drink1.Drink());
        }
    }
}