﻿using Ninject.Conditions;
using Ninject.Core;
using NinjectMethodInjection.Drinks;
using NinjectMethodInjection.Editors;
using NinjectMethodInjection.Snacks;

namespace NinjectMethodInjection.NinjectConfig
{
    internal class CustomModule : StandardModule
    {
        public override void Load()
        {
            Bind<ICaffeinated>().To<DietCoke>().Always();
            Bind<IEdible>().To<Cheetos>().Always();            
            Bind<ISugary>().To<Cookies>().Always();
            Bind<IEditor>().To<TextMate>().Always();                           
        }
    }
}