﻿using System;
using Ninject.Core;
using NinjectMethodInjection.NinjectConfig;

namespace NinjectMethodInjection
{
    internal class Program
    {
        private static void Main()
        {            
            IKernel kernel = NinjectFactory.GetNinjectKernel();

            Console.WriteLine("Programmer:");
            var programmer = kernel.Get<Programmer>();
            programmer.WriteCode();
        }
    }
}