﻿using System;
using Ninject.Core;

namespace NinjectPropertyInjection
{
    public class Programmer
    { 
        [Inject]
        public ICaffeinated Drink { get; set; }
        [Inject]
        public IEdible Food { get; set; }
        [Inject]
        public ISugary Sweets { get; set; }
        [Inject]
        public IEditor Editor { get; set; }

        public Programmer()
        {
        }

        public void WriteCode()
        {
            Console.WriteLine(Drink.Drink());
            Console.WriteLine(Food.Eat());
            Console.WriteLine(Sweets.GetSugar());
            Console.WriteLine(Editor.Program());
        }
    }
}