﻿using Ninject.Conditions;
using Ninject.Core;
using NinjectSimple.Drinks;

namespace NinjectSimple.NinjectConfig
{
    internal class CustomModule : StandardModule
    {
        public override void Load()
        {
            Bind<Programmer>().ToSelf();
            Bind<ICaffeinated>().To<MountainDew>().Always();
            Bind<ICaffeinated>().To<DietCoke>().Always();
        }
    }
}