﻿using System;
using Spring.Context;
using Spring.Context.Support;

namespace SpringComplex
{
    internal class Program
    {
        private static void Main()
        {
            Console.WriteLine("Programmer:");
            IApplicationContext context = ContextRegistry.GetContext();
            var programmer = (Programmer)context.GetObject("Programmer");
            programmer.WriteCode();

            Console.WriteLine();
            Console.WriteLine("Microsoft Programmer:");
            var msProgrammer = (MicrosoftProgrammer) context.GetObject("MicrosoftProgrammer");
            msProgrammer.WriteCode();
        }
    }
}