﻿using Spring.Context;
using Spring.Context.Support;

namespace SpringFactoryConstruction
{
    public class MicrosoftProgrammer: Programmer
    {
        public MicrosoftProgrammer(ICaffeinated drink, IEdible food, ISugary sweets, IEditor editor)
            : base(drink, food, sweets, editor)
        {
        }

        public static MicrosoftProgrammer GetMicrosoftProgrammer()
        {
            IApplicationContext context = ContextRegistry.GetContext();
            return (MicrosoftProgrammer)context.GetObject("MicrosoftProgrammer");                        
        }
    }
}